Introducing EssentialPIM Free

 Top Next

Welcome to EssentialPIM Free Edition!

EssentialPIM Free is an absolutely free personal information manager that can store, manage and encrypt data: day/week/month/year schedules, to do lists for keeping all your tasks up-to-date, notes (pictures, tables, any formatted text) and contacts. Offers Rijndael 128-bit encryption, MS Outlook import/export, Windows Address Book import/export, search capabilities, versatile print features and adjustable contacts storage with unlimited number of fields.

Thought out simplicity is the power- our motto. Enjoy.


Features

 Previous Top Next

EssentialPIM Free is a full-featured personal information manager, which offers:

· Excellent usability. Shortcuts that are fun to use and boost your productivity. Easy, intuitive tools arranged right where you need them
· Security. All data can be password-protected and the database file is encrypted with the advanced industry standard AES (Rijndael), 128-bit key
· Versatile import and export capabilities. You can import and export HTML, RTF, CSV, TXT and TreePad. You can perform import/export with Microsoft® Outlook; and you can import from Outlook Express
· Available in many languages: Bulgarian, Chinese (simplified), Czech, English, French, German, Hellenic, Hungarian, Indonesian, Italian, Japanese, Norwegian, Polish, Portuguese, Russian, Slovak, Spanish, etc.
· System tray icon with a hotkey for starting and configuring the software
· Open-source Firebird database. Advanced users and system administrators get great flexibility in managing databases


License

EssentialPIM(tm) License Agreement.

EssentialPIM is FREEWARE.

Astonsoft Ltd. EssentialPIM VERSION 2 END-USER LICENSE AGREEMENT

IMPORTANT-READ CAREFULLY: This EssentialPIM End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Astonsoft Ltd. for the EssentialPIM SOFTWARE(s) identified above, which includes the User's Guide, any associated SOFTWARE components, any media, any printed materials other than the User's Guide, and any "online" or electronic documentation ("SOFTWARE"). By installing, copying, or otherwise using the SOFTWARE, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE. If the SOFTWARE was mailed to you, return the media envelope, UNOPENED, along with the rest of the package to the location where you obtained it within 30 days from purchase.

1. The SOFTWARE is licensed, not sold.

2. GRANT OF LICENSE.

(a) Freeware. You may use the SOFTWARE without charge. Astonsoft Ltd. may place announces of its other PIM-related products into EssentialPIM. Astonsoft Ltd. will not monitor the content of your use (e.g., sites selected or files used).

(b) Redistribution of EssentialPIM. You may make copies of the evaluation SOFTWARE as you wish; give exact copies of the original SOFTWARE to anyone; and distribute the SOFTWARE in its unmodified form via electronic means (Internet, BBS's, Shareware distribution libraries, CD-ROMs, etc.). You may not charge any fee for the copy or use of the evaluation SOFTWARE itself, but you may charge a distribution fee that is reasonably related to any cost you incur distributing the evaluation SOFTWARE (e.g. packaging). You must not represent in any way that you are selling the SOFTWARE itself. Your distribution of the SOFTWARE will not entitle you to any compensation from Astonsoft Ltd.. You must distribute a copy of this EULA with any copy of the SOFTWARE and anyone to whom you distribute the SOFTWARE is subject to this EULA.

3. RESTRICTIONS. You may not reverse engineer, de-compile, or disassemble the SOFTWARE, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation. You may not rent, lease, or lend the SOFTWARE. You may permanently transfer all of your rights under this EULA, provided the recipient agrees to the terms of this EULA. You may not use the SOFTWARE to perform any unauthorized transfer of information (e.g. transfer of files in violation of a copyright) or for any illegal purpose.

4. SUPPORT SERVICES. Astonsoft Ltd. may provide you with support services related to the SOFTWARE. Use of Support Services is governed by the Astonsoft Ltd. polices and programs described in the user manual, in online documentation, and/or other Astonsoft Ltd.-provided materials, as they may be modified from time to time. Any supplemental SOFTWARE code provided to you as part of the Support Services shall be considered part of the SOFTWARE and subject to the terms and conditions of this EULA. With respect to technical information you provide to Astonsoft Ltd. as part of the Support Services, Astonsoft Ltd. may use such information for its business purposes, including for product support and development. Astonsoft Ltd. will not utilize such technical information in a form that personally identifies you.

5. TERMINATION. Without prejudice to any other rights, Astonsoft Ltd. may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE.

6. COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of Astonsoft Ltd. and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

7. NO WARRANTIES. Astonsoft Ltd. expressly disclaims any warranty for the SOFTWARE. THE SOFTWARE AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OR MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE REMAINS WITH YOU.

8. LIMITATION OF LIABILITY. IN NO EVENT SHALL Astonsoft Ltd. OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL, OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE, OR USE OF THE SOFTWARE, EVEN IF Astonsoft Ltd. HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN ANY EVENT, Astonsoft Ltd.'S LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT, OR ANY OTHER THEORY OF LIABILITY WILL NOT EXCEED THE GREATER OF U.S.$1.00 OR LICENSE FEE PAID BY YOU.

9. U.S. GOVERNMENT RESTRICTED RIGHTS. The SOFTWARE is provided with RESTRICTED RIGHTS. Use, duplication, or disclosure by the Government is subject to restrictions as set forth in subparagraph (c)(1)(ii) of The Rights in Technical Data and Computer SOFTWARE clause of DFARS 252.227-7013 or subparagraphs (c)(i) and (2) of the Commercial Computer SOFTWARE-Restricted Rights at 48 CFR 52.227-19, as applicable.


Working with EssentialPIM

EssentialPIM implements a number of features. At the same time, most of them are intuitive, which allowed to make simple interface. The following topics describe steps you have to take to work effectively with the program and also make it easier to organize and synchronize your data.

Schedules- day planning the versatile way

To Do lists- quick and simple list of things to do

Notes- any data can be stored in tree-structured notes

Contacts- all contacts organized


First run

When you run EssentialPIM for the first time, the program creates test.epim database, which contains sample appointments, tasks, notes and contacts. Feel free to create a new database file by choosing File-> New, or editing the created database.

Creating new database:


EPIM Today

EPIM Today shows you an overview of all Tasks, Birthdays and To Do's for nearest days. EPIM Today Settings can be found in Tools-> Options-> EPIM Today.

Section 1 lists tasks for nearest days (three by default). You can set amount of listed days in EPIM Today Settings which could be found in Tools -> Options -> EPIM Today.

Section 2 lists incomplete To Do's for today.

Section 3 lists anniversaries and birthdays. Technically these entries are automatically created tasks from Date fields in contacts.


Adding a task

The screenshot below explains how to easily add a certain task:

(Using mouse, highlight the time needed for the task and release the button: the new task pop-up windows appears. Just enter the text and, if needed, assign Priority, Category, Completion, Alarms and Re-occurrence, then press OK)

Another way:

Press Add button. In the opened dialog:

1. select start time
2. enter text
3. assign needed parameters

To enter a non-timed entry for the day: the process is the same, except you need to check the "All day event" box.

- Exclusive task - enabling this option for the task will ensure that this task's time will not be taken by any other task. If you will try later to add a task with time coinciding with "Exclusive task"- EssentialPIM Pro will not let you do it.

- All day event - that is the task that does not have a certain time, rather, it is assigned to the whole day and will appear on top of each day


Editing a task

Tasks could be edited any time by double-click on it. It will open Task Info dialog.

Subject - Name of the task which will be listed in Scheduler views.

Location - set a location for the task. All entries will be saved in dropdown menu.

Start time - set start time of the task.

End time - set end time of the task.

Duration - automatically sets needed task end time.

All day event - that is the task that does not have a certain time, rather, it is assigned to the whole day and will appear on top of each day.

Exclusive task - enabling this option for the task will ensure that this task's time will not be taken by any other task. If you will try later to add a task with time coinciding with "Exclusive task" - EssentialPIM Pro will not let you do it.

Priority - set a priority for the task.

Completion - set a rate of completion of the task.

Category - set a category for the task.

Reminder section

Reminder could be enabled by checking Reminder check box:

Reminder could be set At event time or Before task.

It is possible to set some additional reminder options by pressing Advanced button:

In this dialog you can assign Default sound or any custom Sound file (*.wav or *.mp3) for alert.

In the Message section you can set a Custom message for task reminder.

You can also assign a program that will run with reminder. You can locate assigned program via Browse button or by entering path to application manually.

Repeat Task section

It is possible to make task repeatable by checking Repeat Task check box:

You can set daily, weekly or monthly recurrence of current task. By default there will be created 10 recurrence of current task. You can set expire date if you need more. For more complex recurrence adjusting press Advanced button:

This dialog allows to adjust recurrence more specifically. I.e. you can set to repeat task every second Tuesday in the month or every third day etc.


Task Types

There are two Task types:

· Timed entries (tasks, having beginning time and end time)
· Non-timed entries (tasks, which are assigned for the whole day(s))

Day Schedule can have variable time scale, it could be set at View -> Time-Scale. or by right-click on the scale in Day schedule view:

Schedules can show either military or AM/PM schedules, - it is selected based upon you current MS Windows settings. You can change it in Start -> Settings -> Control Panel -> Regional and Language Options

Week can start either on Monday or Sunday, - it is selected based upon you current MS Windows settings.

Working days and hours could be set at Tools -> Options -> Schedule

Non-working days and hours will be marked with darker color.


Adding a to do

To Do module in EPIM allows you to track projects' progress and make a system of complex relationships within projects.

To Add a To Do press Add button in Action bar:

In opened dialog:

1. select start time
2. enter text
3. assign needed parameters


Editing a to do

To Do's could be edited any time by double-click on it. It will open To Do Info dialog.

Subject - Name of the to-do which will be listed in Today view.

Location - set a location for the to-do. All entries will be saved in dropdown menu.

Start time - set start time of the to-do.

End time - set end time of the to-do.

Priority - set a priority for the task.

Completion - set a rate of completion of the task.

Category - set a category for the task.

Reminder section

Reminder could be enabled by checking Reminder check box:

Reminder could be set at the current date and time.

It is possible to set some additional reminder options by pressing Advanced button:

In this dialog you can assign Default sound or any custom Sound file (*.wav or *.mp3) for alert.

In the Message section you can set a Custom message for to do reminder.

You can also assign a program that will run with reminder. You can locate assigned program via Browse button or by entering path to application manually.


To do's managing

Hide Completed checkbox works on all completed entries. Completed root entry, will not, however, be hided, unless all sub-entries are completed.


Adding a note

Notes

Notes can hold formatted text, tables and images (.jpg, .bmp, .ico, .emf, .wmf formats supported).

To add a new note, press Add on a left-side bar.

Than enter the name for the note in appeared dialog:

You can insert current Date and Time, using Insert command or shortcuts Ctrl+D (Day) and Ctrl+T (Time)

In the lower window now you can enter the text, insert pictures, tables and lists. Use the toolbar:

to edit the text in the note.

To change position of any note in the tree, just drag and drop it at desired position.


Adding a contact

Contacts can hold all of your contacts. It supports Groups, unlimited custom fields, sorting and multiple views.

To add a contact:

press Add in the left-side bar. Enter the data for your contact, in the pop-up window. Select from different tabs in the contact edit window to enter Personal Info, Business and Notes.

To add a custom field, click on a Add field button. Enter the name for the field and data type which will be stored in it.

There are two data types available:

· Text/Number - standard text format which could contain any text or number info;
· Date - this data type stores date; with Show as task using category enabled EPIM will automatically create task in Schedule.

Contacts can hold pictures and photos, for each contact (Contact Info -> Picture). You can later export the picture from EssentialPIM Pro to your hard drive again (Save...)

To search a contact

Start writing in the Find field. You can also limit the search to a certain field by choosing specified field from In Field drop down menu.

To change the fields

Shown in the main window, right-click on the names of the fields in the window and put check on the field that needs to be shown. If you need to change many fields, right-click on fields names and choose Customize.

To edit a contact

Double-click on it in the main view. A separate window listing contacts details will open. Edit any of the fields and press OK.

To sort contacts

Click on the name of the field in the main view, according to which it needs to be sorted.


Importing

EssentialPIM makes your transition from other PIM easy.

You can import:

· Schedules, Contacts and Notes from MS Outlook
· Schedules and To Do lists from iCal files
· Notes from RTF/TXT, KeyNote, and TreePad files
· Contacts from Windows Address Book (WAB), CSV, vCard


Exporting

EssentialPIM offers a large variety of formats to export your existing data. Export options are at File -> Export ->

All data can be exported one-by one, or you can select multiple entries using CTRL + mouse (for contacts and Notes), or All entries can be exported.

In most cases you can even select which fields to export.

Contacts can be exported to:

· Windows Address Book (*.WAB, can be opened by double-clicking on it in Windows, also used by MS Outlook Express)
· Comma Separated Values (*.CSV, can be opened by MS Excel or Text Editor)
· HTML (*.HTML, can be opened by any Internet Browser)
· Rich Text Format (.RTF, can be opened by many Text Editors)
· Text Files (*.TXT, can be opened by any Text Editor)
· vCards (*.VCF, a file format standard for personal data interchange, specifically electronic business cards)

Notes can be exported to:

· HTML (*.HTML, can be opened by any Internet Browser)
· Rich Text Format (.RTF, can be opened by many Text Editors)
· Text Files (*.TXT, can be opened by any Text Editor)
· iPOD

To Do list can be exported to:

· HTML (*.HTML, can be opened by any Internet Browser)
· iCal (*.ICS, a standard for calendar data exchange)
· iPOD

Schedules can be exported to:

· HTML
· iCal
· iPOD


Shortcuts

EssentialPIM Free makes extensive use of shortcuts. Here is the list of them:

Global:

Ctrl+Alt+S Minimize to system tray

Shift+Ctrl+T New task

Shift+Ctrl+O New To Do

Shift+Ctrl+N New Note

Shift+Ctrl+C New Contact

Switching Between modules:

Ctrl+0 EPIM Today

Ctrl+1 Schedule

Ctrl+2 To Do

Ctrl+3 Notes

Ctrl+4 Contacts

Ctrl+5 Trash

Database operations:

Ctrl+N New Database

Ctrl+O Open Database

Ctrl+S Save changes or New Database

Ctrl+P Print

In each module:

Ins Adding new element

Del Deleting the element

In Schedule:

Ctrl+D Day View

Ctrl+W Week View

Ctrl+M Month View

Ctrl+Y Year View

Ctrl+E Table View

Ctrl+T Today

Ctrl+G Go to

In To Do:

Ctrl+H Hide/show completed

Ctrl+K Save as Task

In Notes:

Ctrl+R Add to root

Ctrl+Alt+Right Move in

Ctrl+Alt+Left Move out

Ctrl+Alt+Up Move up

Ctrl+Alt+Down Move down

while creating a new Note

Ctrl+D insert current Day

Ctrl+T insert current Time

In text editing standard shortcuts are enabled: Ctrl+X, Ctrl+C, Ctrl+V, Ctrl+Y, Ctrl+A.

All shortcuts could be edited in Tools -> Options -> Shortcuts dialog.


Printing

EPIM allows you to print out all your information in easy to read form. Print menu is accessible at File->Print

What you print will depend on in which view you are currently: in Schedules, Notes, or Contacts.

All data can be printed one-by one, or you can select multiple entries using CTRL + mouse (for contacts and Notes), or All entries can be printed.

To rotate the page, in the Print Preview Page, find "Page Setup", or press Alt+U and you will be able to change the Orientation of the page.

Printing EPIM Today

You can print EPIM Today- exactly as it looks on the screen.

Printing Schedules

There are several option of how to print Schedules: Day View, Week View and Month View. All are different options for representing your day schedule. You can also print several Days, Weeks and Months.

Printing To Do

You can select which To-Do's to print and which fields. If you want to select multiple to-do's, use CTRL+ Mouse, or Shift+ Keyboard arrows.

Printing Notes

You can select several, one or all notes to print out into. A tree of all notes is printed above all notes.

Printing Contacts

You can select which contacts to print out (using CTRL+ Mouse, or Shift+ Keyboard arrows), or print out all.


Information for translators

Astonsoft Ltd., welcomes people to translate EssentialPIM's program language file and/or Help file into their native languages.

Interface

Whole EssentialPIM's interface is contained in ENGLISH.LNG file, which is situated in EPIM's installation directory. Please feel free to take the file and start translating. Usually it takes a couple of hours.

Help file

Translators can download Translator's package, which contains Help file both in RTF (Word) and HTML format. Either whole RTF or all of HTML files can be translated and sent to us- a new help in your native language will be included in the next version of EssentialPIM.

Download translator's package (2 MB)


Support

Astonsoft Ltd. is committed to supporting its customers. Please feel free to browse through the below listed topics and find the most appropriate way to get your question/problem resolved.


FAQ

Q: After upgrade, will my data be preserved?

A: Yes, your data is stored in *.epim file and will be automatically converted to the new version format.

Q: How do I restore Backups?

A: Backups are just *.epim files, named "file name_backup_year_month_day_time". They can be opened from within EPIM using File-> Open menu.

Q: This morning I opened PIM and all my entries had disappeared. What do I do now?

A: Please search your computer for *.epim files, most probably you have opened a wrong *.epim file or created a new one, empty.

Q: Can I request a feature?

A: Yes, of course. We actually make a point of listening to our users. That's how EssentialPIM was developed. Please post your request here: Online Support Forum -> Suggestions.

Q: Is EssentialPIM translated to ... language?

A: For a current list of translations, please check here. If you do not see EssentialPIM translated to your language- please feel free to do it. It really is easy. Just visit the Translators' Page.

Q: How can I help contribute to EssentialPIM's development?

A: You can translate EssentialPIM into your native language, or suggest a feature. We value all contributions.

Q: Is EssentialPIM Free really free?

A: Yes, it is completely free. If you download it from our website, we guarantee it is totally free of any adware, spyware, nag screens, etc.

Q: Will EssentialPIM Free become paid software?

A: No. No, it will definitely never be sold. EssentialPIM is and will stay freeware. If you are aware of someone selling EPIM Free, please tell us!

Q: Why isn't EssentialPIM open source?

A: EPIM is programmed using the Delphi programming language. We use several external components, the licenses of which forbid us to re-distribute the source code. Using quality external components allows us to deliver EssentialPIM to you faster.


Update

Updating EssentialPIM Free

To check, whether you need to update, start EssentialPIM Free and select Help->Check For New Version- it will open Internet page, which will say whether you have the latest version.

You can always download the latest version of the program from our Web site - www.essentialpim.com


Troubleshooting

If you experience any problem with EssentialPIM Free, please follow these steps to find a solution:

· Make sure that you have installed the latest version
· Visit our online support community forum at www.essentialpim.com/forum
· If you still have not found the answer, do not hesitate to contact us at epimsupport@essentialpim.com


Contact

Contact Us

 Previous Top

Please do not hesitate to contact us:

By e-mail

For general information please e-mail us at epiminfo@essentialpim.com

For sales information please e-mail us at epimsales@essentialpim.com

For technical support please e-mail us at epimsupport@essentialpim.com

By fax/phone (Please note, we do not provide support over the phone)

Fax: (+372) 650-79-77

Phone: (+372) 5192-79-21

By post

Astonsoft Ltd.

Laki 9A

Tallinn 10621

Estonia